rhel5u4 架设基于http的本地YUM源

2 feet

前几天把一台服务器的OS由centos换成了rhel,同时搭建了本地yum源。

mkdir -p /mnt/cdrom
mount -t iso9660 -o loop rhel-server-5.4-x86_64-dvd.iso /mnt/cdrom
mount /dev/cdrom /mnt/cdrom
rpm -ivh /mnt/cdrom/Server/createrepo*
rpm -ivh /mnt/cdrom/Server/yum*
mkdir /yum
mkdir /yum/rhel5
阅读全部>>

yum升级PHP到5.2

0 ~o~

原文如下写的挺好的 我就不重新写啦

失败的情况是:
首先参看系统的php版本
# rpm -qa |grep php
php-common-5.1.6-20.el5_2.1
php-cli-5.1.6-20.el5_2.1
php-5.1.6-20.el5_2.1
php-ldap-5.1.6-20.el5_2.1
然后看到此版本不是最新的用下面的命令升级
# yum -y update php
Loading “fastestmirror” plugin
Loading mirror speeds from cached hostfile
* base: centos.candishosting.com.cn
* updates: centos.candishosting.com.cn
* addons: centos.candishosting.com.cn
* extras: centos.candishosting.com.cn
Setting up update Process
Could not find update match for php
No Packages marked for Update
说没有可以升级的php版本,而官方的php都是最新的了,php是5.2.*的了 可是centos系统的还是5.1.
解决思路:是由于centos系统自带的源里面的php版本没有更新,需要额外的源才可以升级php和mysql
办法:更新系统的源,然后在升级就可以解决了。
#vi /etc/yum.repos.d/zongguofengcn.repo (原来没有这个文件的新建就可以了)
[utterramblings]
name=Jason's Utter Ramblings Repo
baseurl=http://www.jasonlitka.com/media/EL$releasever/$basearch/
enabled=1
gpgcheck=1
gpgkey=http://www.jasonlitka.com/media/RPM-GPG-KEY-jlitka
保存此文件wq
再次运行下面的命令就可以完成php的升级了
#yum -y update php

您使用的是IE浏览器,请下载Chrome来获得更好的体验